<?xml version="1.0" encoding="UTF-8"?>
<persistence xmlns="https://jakarta.ee/xml/ns/persistence"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="3.0">
	<!--  -->
	<persistence-unit name="formationjpa" transaction-type="RESOURCE_LOCAL">
		<!--  -->
		<provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
		<properties>
             <!-- Configuration de la connection à la base de données -->
			<property name="jakarta.persistence.jdbc.url" value="jdbc:mysql://localhost:3306/formationjpa" />
			<property name="jakarta.persistence.jdbc.user" value="root" />
			<property name="jakarta.persistence.jdbc.password" value="" />
			<property name="jakarta.persistence.jdbc.driver" value="com.mysql.cj.jdbc.Driver" />

			<!-- Configuration de l'ORM -->
			
			<!-- Création automatique des tables de la base de données -->
            <!-- validate (par défaut)=> validaton la structure de la table -->
            <!-- create => supression des tables existantes et création des nouvelles tables -->
			<!-- update => pas de suppression des tables mise à jour de la structure des tables, si elles n'existe pas, elles sont crées-->
			<!-- create-drop => création et supression de la table lorsque les opérations sont terminées -->
            <!-- none => désactive la création automatique des tables-->
			<property name="hibernate.hbm2ddl.auto" value="create" />
			
			<!-- dialect permet a Hibernate de generer du SQL optimise pour une base de données -->
			<property name="hibernate.dialect" value="org.hibernate.dialect.MySQLDialect" />
			
			<!-- affichage dans la console des requête SQL généré par hibernate -->
			<property name="hibernate.show_sql" value="true" />
			<property name="hibernate.format_sql" value="true" />
		</properties>
	</persistence-unit>

</persistence>